ID CVE-2013-2160
Summary The streaming XML parser in Apache CXF 2.5.x before 2.5.10, 2.6.x before 2.6.7, and 2.7.x before 2.7.4 allows remote attackers to cause a denial of service (CPU and memory consumption) via crafted XML with a large number of (1) elements, (2) attributes, (3) nested constructs, and possibly other vectors.
References
Vulnerable Configurations
  • cpe:2.3:a:apache:cxf:2.5.0:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.5.0:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.5.1:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.5.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.5.2:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.5.2:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.5.3:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.5.3:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.5.4:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.5.4:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.5.5:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.5.5:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.5.6:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.5.6:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.5.7:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.5.7:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.5.8:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.5.8:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.5.9:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.5.9:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.6.0:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.6.0:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.6.1:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.6.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.6.2:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.6.2:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.6.3:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.6.3:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.6.4:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.6.4:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.6.5:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.6.5:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.6.6:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.6.6:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.7.0:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.7.0:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.7.1:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.7.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.7.2:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.7.2:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:cxf:2.7.3:*:*:*:*:*:*:*
    cpe:2.3:a:apache:cxf:2.7.3:*:*:*:*:*:*:*
CVSS
Base: 5.0 (as of 31-10-2013 - 03:33)
Impact:
Exploitability:
CWE CWE-399
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
cvss-vector via4 AV:N/AC:L/Au:N/C:N/I:N/A:P
redhat via4
advisories
  • rhsa
    id RHSA-2013:1028
  • rhsa
    id RHSA-2013:1437
refmap via4
confirm
misc
Last major update 31-10-2013 - 03:33
Published 19-08-2013 - 23:55
Back to Top